Package tigase.server.rtbl.adhoc

# Class AbstractAdHocCommand

java.lang.Object
tigase.server.rtbl.adhoc.AbstractAdHocCommand

All Implemented Interfaces:
  `AdHocCommand`

Direct Known Subclasses:
  `RTBLAddCommand`, `RTBLDeleteCommand`

public abstract class AbstractAdHocCommand extends Object implements AdHocCommand

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractAdHocCommand()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `assertNotEmpty(String input, String message)`
  `void`
  `execute(AdhHocRequest request, AdHocResponse response)`
  `protected RTBLRepository`
  `getRepository()`
  `boolean`
  `isAllowedFor(JID jid)`
  `protected abstract Form`
  `prepareForm(AdhHocRequest request, AdHocResponse response)`
  `protected abstract Form`
  `submitForm(AdhHocRequest request, AdHocResponse response, Form form)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.adhoc.AdHocCommand

  `execute, getGroup, getName, getNode`

- ## Constructor Details

  - ### AbstractAdHocCommand

    public AbstractAdHocCommand()

- ## Method Details

  - ### execute

    public void execute(AdhHocRequest request, AdHocResponse response) throws AdHocCommandException
    Specified by:
      `execute` in interface `AdHocCommand`
    Throws:
      `AdHocCommandException`

  - ### isAllowedFor

    public boolean isAllowedFor(JID jid)
    Specified by:
      `isAllowedFor` in interface `AdHocCommand`

  - ### getRepository

    protected RTBLRepository getRepository()

  - ### prepareForm

    protected abstract Form prepareForm(AdhHocRequest request, AdHocResponse response) throws AdHocCommandException
    Throws:
      `AdHocCommandException`

  - ### submitForm

    protected abstract Form submitForm(AdhHocRequest request, AdHocResponse response, Form form) throws AdHocCommandException
    Throws:
      `AdHocCommandException`

  - ### assertNotEmpty

    protected String assertNotEmpty(String input, String message) throws AdHocCommandException
    Throws:
      `AdHocCommandException`